weixin_39627697
weixin_39627697
2021-01-04 06:43

supported version of psql

I was trying to deploy to an RDS postgresql database from my local windows. local psql is 9.6.3, kept getting this error. Afterwards the registry schema was not created. The password is correct. I tried another installation on a linux box with psql client version of 8.4.20, same connection string, and was able to connect and create the registry schema(but got another weird error). Can you confirm if this version of sqitch is tested with psql client version of 9.6.*? Thanks

c:\bitbucket_sqitch>sqitch --version sqitch (App::Sqitch) 0.9997

c:\bitbucket_sqitch>sqitch deploy db:pg://myuser:myuserpassword:port/dbname Adding registry tables to db:pg://myuser::port/dbname psql: warning: extra command-line argument "host=hostname" ignored psql: warning: extra command-line argument "--quiet" ignored psql: warning: extra command-line argument "--no-psqlrc" ignored psql: warning: extra command-line argument "--no-align" ignored psql: warning: extra command-line argument "--tuples-only" ignored psql: warning: extra command-line argument "--set" ignored psql: warning: extra command-line argument "ON_ERROR_STOP=1" ignored psql: warning: extra command-line argument "--set" ignored psql: warning: extra command-line argument "registry=sqitch" ignored psql: warning: extra command-line argument "-c" ignored psql: warning: extra command-line argument "SHOW" ignored psql: warning: extra command-line argument "server_version_num" ignored psql: FATAL: password authentication failed for user "myuser" "psql.exe" unexpectedly returned exit value 2

该提问来源于开源项目:sqitchers/sqitch

  • 点赞
  • 回答
  • 收藏
  • 复制链接分享

40条回答

为你推荐